/* Entry Point - musí být definován     */
ENTRY(Vectors)

/* Specifikace paměťových prostorů čipu */
MEMORY {
  RAM (xrw)       : ORIGIN = 0x20000000, LENGTH = 4K
  ROM (xr)        : ORIGIN = 0x08000000, LENGTH = 4K
}
/* Kam umístíme stack - navrch RAM */
_estack = ORIGIN(RAM) + LENGTH(RAM);
/* Definice výstupních sekcí       */
SECTIONS {
  .fixed : {
    /* Takto se vkládají symboly, které se pak mohou použít jako konstanty v programu.
    Tečka představuje aktuální hodnotu PC (jako v asm), tedy adresu symbolu. */
    _vect_tab = .;
    /* Obvykle se tato sekce nějak pojmenuje, zde víme, že gcc to pojmenuje
       právě takto, není pak třeba používat __attribute__((section("nazev"))).
       Linker by to mohl uklidit (gc-sections), ale ENTRY (Vectors) to zachová
       takže není potřeba používat KEEP. Tohle jsou ale už dost divné finty */
    *(.rodata.Vectors)
    *(.text*)            /* .text*   sections (code)                              */
    *(.rodata*)          /* .rodata* sections (constants, strings, etc.)          */
    *(.eh_frame)
  } >RAM
  .reloc : {
    *(.data*)            /* .data* sections */
    *(.bss*)             /* .bss*  sections */
    *(COMMON)
  } >RAM

  .ARM.attributes 0 : { *(.ARM.attributes) }
}
